#Modified by Karthik, added minpeers, rerequest_interval and max_initiate to each preset.
connChoices=(
    {'name':'unlimited',
     'rate':{'min':0, 'max':5000, 'def': 0, 'div': 50},
     'conn':{'min':4, 'max':100,  'def': 25},
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30},
    {'name':'dialup/isdn',
     'rate':{'min':3,   'max':   8, 'def':  5 },
     'conn':{'min':2, 'max':  5, 'def': 3},# Default was 2 and max was 3
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30},
    {'name':'dsl/cable slow',
     'rate':{'min':10,  'max':  48, 'def': 13},
     'conn':{'min':4, 'max': 20, 'def': 8},
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30},
    {'name':'dsl/cable fast',
     'rate':{'min':20,  'max': 100, 'def': 40},
     'conn':{'min':4, 'max': 30, 'def': 10},
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30},
    {'name':'T1',
     'rate':{'min':100, 'max': 300, 'def':150},
     'conn':{'min':4, 'max': 40, 'def':20},
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30},
    {'name':'T3+',
     'rate':{'min':400, 'max':2000, 'def':500},
     'conn':{'min':4, 'max':100, 'def':50},
     'initiate': 150, 'minpeers':40, 'rerequest_interval': 30}
     )

connChoiceList = map(lambda x:x['name'], connChoices)
